Upgrade to Electron 12

Mailspring is still on Electron 4, which is at End of Life (as is Electron 5). We really need to bring it up to date with Electron 12, which will also seriously improve our OS integration.

This will resolve a couple of issues besides: